using System;
using System.Windows.Forms;
using System.Drawing;
	
namespace Test
{
	public class SysInfoColumn : Form
	{
		public SysInfoColumn()
		{
			//   
			//    this 
			this.Text = "   ";
			this.BackColor = SystemColors.Window;
			this.ForeColor = SystemColors.WindowText;
		}
	
		//     !!!!!!!!!!!!!!!!!!!!!!!!!!!!
		protected override void OnPaint(PaintEventArgs e)
		{
			Graphics gr = e.Graphics;
			SolidBrush brush = new SolidBrush(this.ForeColor);
			int linespacing = Font.Height;
			Single y = 0; //    
			SizeF sizeF = gr.MeasureString( //    
				"ArrangeStartingPosition ", //    
				Font);
			Single xCol = sizeF.Width;//   
	
			gr.DrawString("ArrangeDirection: ",
				Font, brush, 0, y);
			gr.DrawString(SystemInformation.ArrangeDirection.ToString(),
				Font, brush, xCol, y);
	
			y += linespacing;
			gr.DrawString("ArrangeStartingPosition: ",
				Font, brush, 0, y);
			gr.DrawString(SystemInformation.ArrangeStartingPosition.ToString(),
				Font, brush, xCol, y);
	
			y += linespacing;
			gr.DrawString("BootMode: ",
				Font, brush, 0, y);
			gr.DrawString(SystemInformation.BootMode.ToString(),
				Font, brush, xCol, y);
	
			y += linespacing;
			gr.DrawString("Border3DSize: ",
				Font, brush, 0, y);
			gr.DrawString(SystemInformation.Border3DSize.ToString(),
				Font, brush, xCol, y);
	
			y += linespacing;
			gr.DrawString("BorderSize: ",
				Font, brush, 0, y);
			gr.DrawString(SystemInformation.BorderSize.ToString(),
				Font, brush, xCol, y);
	
			y += linespacing;
			gr.DrawString("CaptionButtonSize: ",
				Font, brush, 0, y);
			gr.DrawString(SystemInformation.CaptionButtonSize.ToString(),
				Font, brush, xCol, y);
	
			y += linespacing;
			gr.DrawString("CaptionHeight: ",
				Font, brush, 0, y);
			gr.DrawString(SystemInformation.CaptionHeight.ToString(),
				Font, brush, xCol, y);
	
			y += linespacing;
			gr.DrawString("ComputerName: ",
				Font, brush, 0, y);
			gr.DrawString(SystemInformation.ComputerName,
				Font, brush, xCol, y);
	
			y += linespacing;
			gr.DrawString("CursorSize: ",
				Font, brush, 0, y);
			gr.DrawString(SystemInformation.CursorSize.ToString(),
				Font, brush, xCol, y);
	
			y += linespacing;
			gr.DrawString("DbcsEnabled: ",
				Font, brush, 0, y);
			gr.DrawString(SystemInformation.DbcsEnabled.ToString(),
				Font, brush, xCol, y);
	
			base.OnPaint (e);
		}
	}
}
