using System;
using System.Windows.Forms;
using System.Drawing;
	
namespace Test
{
	public class SysInfoList : Form
	{
		// -  ( )
		Single xCol;
		int linespacing;
	
		public SysInfoList()
		{
			//   
			this.Text = "  ";
			this.BackColor = SystemColors.Window;
			this.ForeColor = SystemColors.WindowText;
			this.Width += 100;
			//    ,
			//    
			Graphics gr = this.CreateGraphics();
			//   
			SizeF sizeF = gr.MeasureString(" ", Font);
			//    
			xCol = sizeF.Width 
				+ SysInfoStrings.MaxLabelWidth(gr, Font);
			//     
			gr.Dispose();
	
			linespacing = Font.Height;
		}
	
		//     !!!!!!!!!!!!!!!!!!!!!!!!!!!!
		protected override void OnPaint(PaintEventArgs e)
		{
			Graphics gr = e.Graphics;
			SolidBrush brush = new SolidBrush(this.ForeColor);
			//   
			int count = SysInfoStrings.Count;
			//       
			String[] strArrayLabels = SysInfoStrings.Labels;
			String[] strArrayValues = SysInfoStrings.Values;
	
			//     , 
			//     
			for(int i = 0; i < count; i++)
			{
				gr.DrawString(strArrayLabels[i],
					Font, brush, 0, i * linespacing);
				gr.DrawString(strArrayValues[i],
					Font, brush, xCol, i * linespacing);
			}
	
			base.OnPaint (e);
		}
	}
}
